#!/bin/sh
############################################################
#	Test Application Wrapper (test_app), Version 1.0
#	Copyright (c)  2008 Marvell Corporation
############################################################
. ../taf/taf.sh
############################################################
# Usage (Don't Need Test Application)
# Extra ARGC
EXT_ARGC=0

# Extra Usage
ext_usage()
{
	echo "Usage: [EXTRA_TEST_PARAMETER]"
	echo "	01: parameter 1"
	echo "	 |- value1 explain"
	echo "	 |- value2 explain"
	echo ""
	echo "	02: parameter 2"
	echo "	 |- value1 explain"
	echo "	 |- value2 explain"
	echo ""
	echo "	03: parameter 3"
	echo "	 |- value1 explain"
	echo "	 |- value2 explain"
	echo ""
	echo ""
}

# Extra Usage
if [ -n "$USAGE" ]; then ext_usage; exit 0; fi

# Extra Usage
if [ "$#" != $EXT_ARGC ]; then ext_usage; exit -1; fi
############################################################
# Test Start
echo "########## Test Case Start $TEST_CASE_ID ##########" | tee -a $TEST_LOG

# Test Result
TEST_RESULT=0

# do somthing and set TEST_RESULT
if [ "0" -ne $? ]
then
	print_rel_log "Fail: "
	TEST_RESULT=-1
else
	print_dbg_log "Pass: "
fi

# do if previous step passed
if [ "0" -eq "$TEST_RESULT" ]
then
	# do somthing and set TEST_RESULT
	if [ "0" -ne $? ]
	then
		print_rel_log "Fail: "
		TEST_RESULT=-1
	else
		print_dbg_log "Pass: "
	fi
fi

# Print Test Result
print_test_result $TEST_RESULT

# Test Stop
echo "########## Test Case Stop $TEST_CASE_ID ##########" | tee -a $TEST_LOG
echo ""
############################################################
# Exit
exit $TEST_RESULT
